[ALSA-2021:4213] Moderate: php:7.4 security, bug fix, and enhancement update
Type:
security
Severity:
moderate
Release date:
2021-11-09
Description:
PHP is an HTML-embedded scripting language commonly used with the Apache HTTP Server. The following packages have been upgraded to a later upstream version: php (7.4.19). (BZ#1944110) Security Fix(es): * php: Wrong ciphertext/tag in AES-CCM encryption for a 12 bytes IV (CVE-2020-7069) * php: FILTER_VALIDATE_URL accepts URLs with invalid userinfo (CVE-2020-7071) * php: Use of freed hash key in the phar_parse_zipfile function (CVE-2020-7068) * php: URL decoding of cookie names can lead to different interpretation of cookies between browser and server (CVE-2020-7070) * php: NULL pointer dereference in SoapClient (CVE-2021-21702) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.
Updated packages:
  • php-pear-1.10.12-1.module_el8.6.0+2750+78feabcb.noarch.rpm
  • php-pecl-apcu-5.1.18-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • php-pecl-apcu-devel-5.1.18-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • apcu-panel-5.1.18-1.module_el8.6.0+2750+78feabcb.noarch.rpm
  • libzip-1.6.1-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • libzip-tools-1.6.1-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • php-pecl-xdebug-2.9.5-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • php-pecl-rrd-2.0.1-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • php-pecl-zip-1.18.2-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • libzip-devel-1.6.1-1.module_el8.6.0+2750+78feabcb.x86_64.rpm
  • php-pecl-zip-1.18.2-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • php-pecl-apcu-devel-5.1.18-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • libzip-tools-1.6.1-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • php-pecl-apcu-5.1.18-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • libzip-devel-1.6.1-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • php-pecl-rrd-2.0.1-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • php-pecl-xdebug-2.9.5-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • libzip-1.6.1-1.module_el8.6.0+2750+78feabcb.aarch64.rpm
  • php-pecl-apcu-5.1.18-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • php-pecl-apcu-devel-5.1.18-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • libzip-1.6.1-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • libzip-tools-1.6.1-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • php-pecl-xdebug-2.9.5-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • php-pecl-rrd-2.0.1-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • php-pecl-zip-1.18.2-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
  • libzip-devel-1.6.1-1.module_el8.6.0+2750+78feabcb.ppc64le.rpm
Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.